#
# spec file for package arping2
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           arping2
Version:        2.24
Release:        1.3
Summary:        Layer-2 Ethernet pinger
License:        GPL-2.0-or-later
Group:          Productivity/Networking/Diagnostic
URL:            https://www.habets.pp.se/synscan/programs.php?prog=arping
#Git-Clone:	https://github.com/ThomasHabets/arping
Source:         https://www.habets.pp.se/synscan/files/arping-%version.tar.gz
Source2:        https://www.habets.pp.se/synscan/files/arping-%version.tar.gz.asc
Source3:        %name.keyring
BuildRequires:  libnet-devel
BuildRequires:  libpcap-devel

%description
Arping is a util to find out it a specific IP address on the LAN is
"taken" and what MAC address owns it. It is designed to work on
unrouted networks and with ICMP-blocking hosts.

%prep
%autosetup -n arping-%version

%build
%configure
%make_build

%install
b="%buildroot"
%make_install
# Avoid collision with iputils's inferior arping.
mv "$b/%_sbindir/arping" "$b/%_sbindir/%name"
mv "$b/%_mandir/man8/arping.8" "$b/%_mandir/man8/arping2.8"
# Unused
rm -Rv "$b/%_includedir"

%files
%_sbindir/arping2
%_mandir/man8/arping2.8*
%doc README

%changelog
* Tue Jan  2 2024 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.24
  * Stricter and more correct number parsing and casting
* Sat Apr 30 2022 Ferdinand Thiessen <rpm@fthiessen.de>
- Update to release 2.23
  * Work around VLAN bug in libpcap 1.7-1.9.0
  * Experimental support for seccomp (off by default)
  * Made -P set target MAC address (-t)
* Sat Jul 10 2021 Jan Engelhardt <jengelh@inai.de>
- Update to release 2.22
  * Build system updates only; no user-related changes.
- Drop arping-setgroups.diff (merged)
* Thu Jul 30 2020 Matthias Eliasson <elimat@opensuse.org>
- Update to version 2.21
  * Use more modern pcap API calls, when available
  * Add payload data to mac ping
  * chdir(/) after chroot()
  * Misc minor cleanup
- Run spec-cleaner
* Wed Aug 21 2019 Benoît Monin <benoit.monin@gmx.fr>
- update to version 2.20: no upstream changelog
- run spec-cleaner
* Thu Aug 31 2017 luc14n0@linuxmail.org
- Update to version 2.19
  * Make `arping` -w/-W behave like `ping` and `iputils-arping`
  * Add option -g to specify group to drop privs to
* Thu Dec  8 2016 aginies@suse.com
- Update to new upstream release 2.17
  * Add padding to IP and MAC pings
* Thu Feb  4 2016 mpluskal@suse.com
- Update to 2.16
- Add gpg signature
* Sun Jan 11 2015 jengelh@inai.de
- Update to new upstream release 2.15
  * Add option -m to allow setting timestamp type
* Mon Aug 11 2014 jengelh@inai.de
- Update to new upstream release 2.14
  * Drop privileges, where possible.
  * Added ability to send unsolicited replies, instead of requests
  (-P option).
  * Quit after N replies, with -C <N>
  * Beeping (-a) now works in quiet (-q) and cisco (-D) mode.
  * Cisco mode (-D) now works when pinging MACs.
  * Work around libnet interface autodetection bug.
  * Added -W, like -w but in seconds.
- Add arping-setgroups.diff to fix use of implicitly-declared
  function
* Sun Dec 30 2012 jengelh@inai.de
- Update to new upstream release 2.13
  * A bug with fractions of seconds with the -w option has been fixed
  * Gratuitous ARP supporting with the -U option
* Sun Jul  1 2012 jengelh@inai.de
- Update to new upstream release 2.12
  * This release fixes a timing issue on BSD and adds a statistics
  line with min/avg/max/std-dev.
* Wed Feb 29 2012 jengelh@medozas.de
- Update to new upstream release 2.11
  * Fixes a segfault introduced in 2.10
* Mon Feb 27 2012 jengelh@medozas.de
- Update to new upstream release 2.10
  * This release adds much improved and portable interface
  autodetection. It replaces gettimeofday() with clock_gettime()
  where available.
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Tue Jul 19 2011 jengelh@medozas.de
- Package imported to build.opensuse.org
* Sun Feb 27 2011 jengelh@medozas.de
- Adjust BuildRequires for openSUSE_11.4
